commit 88d21af9567e140b6c7ecaf46925753e020240f2
Author: freddy77 <freddy77>
Date:   Wed Mar 4 17:41:07 2009 +0000

    make dblib compile

diff --git a/ChangeLog b/ChangeLog
index f89e0da..1f55bc7 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed Mar  4 18:40:56 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/dblib.c: make it compile
+
 Mon Mar  2 08:58:31 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* win32/msvc6/libTDS.dsp: add needed files
 
@@ -1363,4 +1366,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2737 2009/03/02 07:59:02 freddy77 Exp $
+$Id: ChangeLog,v 1.2738 2009/03/04 17:41:07 freddy77 Exp $
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index 8db9f20..ba50091 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -75,7 +75,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.342 2009/03/02 05:39:45 jklowden Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.343 2009/03/04 17:41:11 freddy77 Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -1097,7 +1097,7 @@ tdsdbopen(LOGINREC * login, const char *server, int msdblib)
 
 	tdsdump_log(TDS_DBG_FUNC, "dbopen(%p, %s, [%s])\n", login, server, msdblib? "microsoft" : "sybase");
 
-	CHECK_NULP(server, dbopen, 2, 0);
+	CHECK_NULP(server, "dbopen", 2, NULL);
 	
 	if ((dbproc = calloc(1, sizeof(DBPROCESS))) == NULL) {
 		dbperror(NULL, SYBEMEM, errno);

